aboutsummaryrefslogtreecommitdiff
path: root/shell_only.sh
diff options
context:
space:
mode:
Diffstat (limited to 'shell_only.sh')
-rwxr-xr-xshell_only.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/shell_only.sh b/shell_only.sh
index aad155e..0b49ac2 100755
--- a/shell_only.sh
+++ b/shell_only.sh
@@ -37,6 +37,9 @@ if [ ${UID} -ne 0 ]; then
SUDO="doas"
elif command_exists sudo; then
SUDO="sudo"
+ else
+ echo "Requires doas or sudo to be installed."
+ exit 1
fi
fi